HttpMessage::getRequestUrl
HttpMessage::getResponseStatus
The HttpMessage class
PHP Manual

# HttpMessage::getResponseCode

(PECL pecl_http >= 0.10.0)

HttpMessage::getResponseCode — Get response code

### Description

public int HttpMessage::getResponseCode ( void )

Get the Response Code of the Message.

### Return Values

Returns the HTTP response code if the message is of type HttpMessage::`TYPE_RESPONSE`, else FALSE.

HttpMessage::getRequestUrl
HttpMessage::getResponseStatus
The HttpMessage class
PHP Manual